package link.at17.mid.tushare.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.Getter;

public enum StockMarket {
    

    BK("BK", "90", null),
    SZ("SZ", "0", "SZSE"),
    SH("SH", "1", "SSE"),
    BJ("BJ", "BJ", "BSE");
    
    @Getter
    private String eMCode;
    @Getter
    private String standardCode;
    @EnumValue
    @Getter
    private String exchangeCode;
    
    private StockMarket(String standardCode, String emCode, String exchangeCode) {
        this.standardCode = standardCode;
        this.eMCode = emCode;
        this.exchangeCode = exchangeCode;
    }
    
}
